Strict versioning in .NET

Chapter 3: Parameterized typing with generics: P110, first bullet

Created: 6/29/2008
Last updated: 6/29/2008
Severity: Language improvement

The first bullet on page 110 ends with these sentences:

Versioning in .NET is much stricter in general - you have to compile using the oldest environment you want to run on. That's safer, but less flexible.

This is misleading in the light of Visual Studio 2008, which can target .NET 2.0. The following would be clearer:

Versioning in .NET is much stricter in general - for each assembly you reference, you can specify whether or not the version number has to match exactly. In addition, code built to run on the 2.0 CLR will not run on .NET 1.1.